All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.dataselectors.calculateditems
Class ExpressionValueEditorAdapter

    com.sas.swing.visuals.dataselectors.calculateditems.ExpressionValueEditorAdapter

All Implemented Interfaces:
  com.sas.swing.dataselectors.editors.EditorInterface, com.sas.swing.dataselectors.editors.ExpressionValueEditorInterface

    public class ExpressionValueEditorAdapter

implements com.sas.swing.dataselectors.editors.ExpressionValueEditorInterface

Description: Copyright: Copyright (c) 2002 Company: SAS

Field Summary
`protected java.lang.String` | `m_labelTitle`
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.swing.visuals.dataselectors.calculateditems.BaseEditorAdapter
`_businessModel, _editDialog, _expression, _expressionObject, _expressionType, _javaHelp, _maxMaxOutputObservations, _resourceScope, _returnValue, _userSetMaxOutputObservations`

Constructor Summary
`ExpressionValueEditorAdapter(com.sas.iquery.metadata.business.BusinessModel businessModel, SASJavaHelp javaHelp)` Constructor for ExpressionValueEditor.

Method Summary
`protected void` | `layoutDialog(java.awt.Frame parent)`

Methods inherited from class com.sas.swing.visuals.dataselectors.calculateditems.BaseEditorAdapter
`getExpression, getExpressionFromDialog, getExpressionType, getMaxOutputObservations, isEditOK, newAdvancedCalculatedItemEditorInterface, setExpression, setExpressionType, setMaxOutputObservations, showEditor`

Field Detail

### RB_KEY

    public static java.lang.String RB_KEY

### m_labelTitle

    protected java.lang.String m_labelTitle

Constructor Detail

### ExpressionValueEditorAdapter

    public ExpressionValueEditorAdapter(com.sas.iquery.metadata.business.BusinessModel businessModel,
                                        SASJavaHelp javaHelp)

  Constructor for ExpressionValueEditor.

Method Detail

### layoutDialog

    protected void layoutDialog(java.awt.Frame parent)

  Overrides:
    `layoutDialog` in class `BaseEditorAdapter`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.